package com.bonus.sgzb.machine.damain;

import com.bonus.sgzb.common.core.annotation.Excel;
import com.bonus.sgzb.common.core.web.domain.BaseEntity;

import java.util.Date;

/**
 * 配件类型管理ma_part_type(MaPartType)表实体类
 *
 * @author makejava
 * @since 2023-11-27 16:44:09
 */
@SuppressWarnings("serial")
public class MaPartType extends BaseEntity {

    private static final long serialVersionUID = 1L;

    //类型ID
    @Excel(name = "类型ID")
    private Long paId;

    //类型名称
    @Excel(name = "类型名称")
    private String paName;

    //上级ID
    @Excel(name = "上级ID")
    private Long parentId;

    //帐号状态（0正常 1停用）
    @Excel(name = "帐号状态（0正常 1停用）")
    private String status;

    //实时库存
    @Excel(name = "实时库存")
    private String num;

    //计量单位ID
    @Excel(name = "计量单位ID")
    private String unitId;

    //原值
    @Excel(name = "原值")
    private String buyPrice;

    //层级
    @Excel(name = "层级")
    private String level;

    //库存预警数量
    @Excel(name = "库存预警数量")
    private String warnNum;

    //删除标志（0代表存在 2代表删除）
    @Excel(name = "删除标志（0代表存在 2代表删除）")
    private String delFlag;

    //创建者
    @Excel(name = "创建者")
    private String createBy;

    //创建时间
    @Excel(name = "创建时间")
    private Date createTime;

    //更新者
    @Excel(name = "更新者")
    private String updateBy;

    //更新时间
    @Excel(name = "更新时间")
    private Date updateTime;

    //备注
    @Excel(name = "备注")
    private String remark;

    //数据所属组织
    @Excel(name = "数据所属组织")
    private String companyId;

    public Long getPaId() {
        return paId;
    }

    public void setPaId(Long paId) {
        this.paId = paId;
    }

    public String getPaName() {
        return paName;
    }

    public void setPaName(String paName) {
        this.paName = paName;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getBuyPrice() {
        return buyPrice;
    }

    public void setBuyPrice(String buyPrice) {
        this.buyPrice = buyPrice;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getWarnNum() {
        return warnNum;
    }

    public void setWarnNum(String warnNum) {
        this.warnNum = warnNum;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String getCreateBy() {
        return createBy;
    }

    @Override
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String getUpdateBy() {
        return updateBy;
    }

    @Override
    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }
}

